<?php
/**
 * Locale Auto Switch
 *
 * @package    LocaleAutoSwitch
 * @subpackage LocaleAutoSwitch registered in the database
/*
	Copyright (c) 2018- Katsushi Kawamori (email : dodesyoswift312@gmail.com)
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; version 2 of the License.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

$localeautoswitchregist = new LocaleAutoSwitchRegist();

/** ==================================================
 * Registered in the database
 */
class LocaleAutoSwitchRegist {

	/** ==================================================
	 * Construct
	 *
	 * @since 1.00
	 */
	public function __construct() {

		add_action( 'admin_init', array( $this, 'register_settings' ) );

	}

	/** ==================================================
	 * Settings register
	 *
	 * @since 1.00
	 */
	public function register_settings() {

		if ( ! get_option( 'locale_auto_switch' ) ) {
			$csv_file               = plugin_dir_path( __DIR__ ) . 'data/locale-wp-br.csv';
			$locale_auto_switch_tbl = array();
			$f                      = fopen( $csv_file, 'r' );
			while ( $line = fgetcsv( $f ) ) {
				$locale_br                = explode( ',', $line[3] );
				$locale_auto_switch_tbl[] = array(
					'locale_en' => $line[0],
					'locale_na' => $line[1],
					'locale_wp' => $line[2],
					'locale_br' => $locale_br,
				);
			}
			fclose( $f );
			update_option( 'locale_auto_switch', wp_json_encode( $locale_auto_switch_tbl ) );
		}

	}

}


