<?php
/**
 * Locale Auto Switch
 *
 * @package    LocaleAutoSwitch
 * @subpackage LocaleAutoSwitch Widget
/*
	Copyright (c) 2018- Katsushi Kawamori (email : dodesyoswift312@gmail.com)
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; version 2 of the License.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

add_action(
	'widgets_init',
	function() {
		register_widget( 'LocaleAutoSwitchWidgetItem' );
	}
);

/** ==================================================
 * Widget
 *
 * @since 1.01
 */
class LocaleAutoSwitchWidgetItem extends WP_Widget {

	/** ==================================================
	 * Construct
	 *
	 * @since 1.00
	 */
	public function __construct() {

		parent::__construct(
			'LocaleAutoSwitchWidgetItem', /* Base ID */
			'Locale Auto Switch', /* Name */
			array( 'description' => __( 'Language switching message from Locale Auto Switch.', 'locale-auto-switch' ) ) /* Args */
		);
	}

	/** ==================================================
	 * Widget
	 *
	 * @param array $args args.
	 * @param array $instance instance.
	 * @since 1.00
	 */
	public function widget( $args, $instance ) {

		$title = __( 'Language' );

		echo wp_kses_post( $args['before_widget'] );
		echo wp_kses_post( $args['before_title'] . $title . $args['after_title'] );

		echo wp_kses_post( '<div>' . __( 'Please set your browser&#39;s language setting to your native language.', 'locale-auto-switch' ) . '</div><div>' . __( 'It automatically switches to the following languages.', 'locale-auto-switch' ) . '</div>' );
		$wp_options_name          = 'locale_auto_switch';
		$localeautoswitch_options = json_decode( get_option( $wp_options_name ), true );
		$languages                = get_available_languages();
		$languages[]              = 'en_US';
		$count                    = 0;
		$locale_languages         = null;
		foreach ( (array) $localeautoswitch_options as $localeautoswitch_option ) {
			if ( $count > 0 ) {
				if ( in_array( $localeautoswitch_option['locale_wp'], $languages, true ) ) {
					$locale_languages .= $localeautoswitch_option['locale_na'] . ',';
				}
			}
			++$count;
		}
		$locale_languages = rtrim( $locale_languages, ',' );
		$locale_languages = str_replace( ',', ', ', $locale_languages );
		echo wp_kses_post( '<div><i>' . $locale_languages . '</i></div>' );

		echo wp_kses_post( $args['after_widget'] );

	}

}


